xvidcap fails to build from source

Bug #646824 reported by Matthias Klose on 2010-09-24
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xvidcap (Ubuntu)
High
Alessio Treglia
Maverick
High
Alessio Treglia

Bug Description

Binary package hint: xvidcap

gcc -DHAVE_CONFIG_H -I. -I.. -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DPACKAGE_SRC_DIR=\""."\" -DPACKAGE_DATA_DIR=\""/usr/share"\" -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libglade-2.0 -I/usr/include/libxml2 -pthread -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -g -DDBUS_SERVICE_DIR=\""/usr/share/dbus-1/service"\" -g -O2 -pthread -c xtoffmpeg.c
xtoffmpeg.c: In function 'add_audio_stream':
xtoffmpeg.c:393: warning: implicit declaration of function 'av_fifo_init'
xtoffmpeg.c:427: warning: 'audio_resample_init' is deprecated (declared at //usr/include/libavcodec/avcodec.h:2935)
xtoffmpeg.c:447: warning: 'audio_resample_init' is deprecated (declared at //usr/include/libavcodec/avcodec.h:2935)
xtoffmpeg.c: In function 'do_audio_out':
xtoffmpeg.c:551: warning: implicit declaration of function 'av_fifo_write'
xtoffmpeg.c:554: warning: implicit declaration of function 'av_fifo_read'
xtoffmpeg.c: In function 'capture_audio_thread':
xtoffmpeg.c:790: warning: 'avcodec_decode_audio2' is deprecated (declared at //usr/include/libavcodec/avcodec.h:3390)
xtoffmpeg.c: In function 'guess_input_pix_fmt':
xtoffmpeg.c:1352: error: 'PIX_FMT_RGBA32' undeclared (first use in this function)
xtoffmpeg.c:1352: error: (Each undeclared identifier is reported only once
xtoffmpeg.c:1352: error: for each function it appears in.)
xtoffmpeg.c: In function 'xvc_ffmpeg_save_frame':
xtoffmpeg.c:1445: warning: 'guess_format' is deprecated (declared at //usr/include/libavformat/avformat.h:787)
xtoffmpeg.c:1451: warning: 'guess_format' is deprecated (declared at //usr/include/libavformat/avformat.h:787)
xtoffmpeg.c:1472: warning: 'av_alloc_format_context' is deprecated (declared at //usr/include/libavformat/avformat.h:933)
xtoffmpeg.c:1713: error: 'PIX_FMT_RGBA32' undeclared (first use in this function)
xtoffmpeg.c:1722: warning: passing argument 2 of 'sws_scale' from incompatible pointer type
//usr/include/libswscale/swscale.h:195: note: expected 'const uint8_t * const*' but argument is of type 'uint8_t **'
make[4]: *** [xtoffmpeg.o] Error 1
make[4]: Leaving directory `/build/buildd/xvidcap-1.1.7/src'

Related branches

Matthias Klose (doko) wrote :

Hi Alessio, could you have a look, you touch the package lately

Changed in xvidcap (Ubuntu):
importance: Undecided → High
milestone: none → maverick-updates
status: New → Confirmed
Jordon Bedwell (envygeeks) wrote :

Please provide more information on reproduction other than a compile line. Have you tried this with the latest SVN?

Changed in xvidcap (Ubuntu Maverick):
status: Confirmed → Incomplete
Matthias Klose (doko) wrote :

sure, see the buildd logs, or try to build the package yourself.

Changed in xvidcap (Ubuntu Maverick):
status: Incomplete → Confirmed
Pau Garcia i Quiles (pgquiles) wrote :

The attached patch fixes the first issue (PIX_FMT_RGBA32 undefined)

Hi!

Matthias,

On Fri, Sep 24, 2010 at 3:49 PM, Matthias Klose
<email address hidden> wrote:
> Hi Alessio, could you have a look, you touch the package lately
>

I'll take a look ASAP.

Cheers.

--
Alessio Treglia <email address hidden>
Debian & Ubuntu Developer | Homepage: http://www.alessiotreglia.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0

Alessio Treglia (quadrispro) wrote :

Changing PIX_FMT_RGBA32 to PIX_FMT_RGB32 is not enough:

gcc -Wall -g -DDBUS_SERVICE_DIR=\""/usr/share/dbus-1/service"\" -g -O2 -pthread -export-dynamic -Wl,--as-needed -o xvidcap app_data.o capture.o codecs.o colors.o frame.o gnome_frame.o gnome_ui.o gnome_warning.o gnome_options.o led_meter.o main.o options.o xtoffmpeg.o xtoxwd.o job.o xvc_error_item.o eggtrayicon.o dbus-server-object.o -pthread -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng12 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -pthread -L/lib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lavdevice -lavformat -lavcodec -lswscale -lavutil -lmp3lame -lm -lXdamage -lXfixes -lXmu -lavdevice
xtoffmpeg.o: In function `do_audio_out':
/tmp/buildd/xvidcap-1.1.7/src/xtoffmpeg.c:551: undefined reference to `av_fifo_write'
/tmp/buildd/xvidcap-1.1.7/src/xtoffmpeg.c:554: undefined reference to `av_fifo_read'
xtoffmpeg.o: In function `cleanup_thread_when_stopped':
/tmp/buildd/xvidcap-1.1.7/src/xtoffmpeg.c:672: undefined reference to `av_fifo_read'
xtoffmpeg.o: In function `add_audio_stream':
/tmp/buildd/xvidcap-1.1.7/src/xtoffmpeg.c:393: undefined reference to `av_fifo_init'
collect2: ld returned 1 exit status
make[4]: *** [xvidcap] Error 1
make[4]: Leaving directory `/tmp/buildd/xvidcap-1.1.7/src'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/tmp/buildd/xvidcap-1.1.7/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/xvidcap-1.1.7'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/xvidcap-1.1.7'
dh_auto_build: make -j1 returned exit code 2
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package
I: unmounting dev/pts filesystem
I: unmounting proc filesystem

There are calls to some deprecated FFmpeg functions, porting is needed.

Pau Garcia i Quiles (pgquiles) wrote :

@Alessio:

I know, that's why I said "... fixes the FIRST issue" :-)

This blog post has more details on how to port the other functions:
http://freedrull.wordpress.com/2010/03/12/xvid-in-portage/

tags: added: patch
Changed in xvidcap (Ubuntu Maverick):
assignee: nobody → Alessio Treglia (quadrispro)
status: Confirmed → In Progress
Alessio Treglia (quadrispro) wrote :
Alessio Treglia (quadrispro) wrote :

Please take a look and let me know what you think.
This should fix bug #586719 too.

Matthias Klose (doko) wrote :

new ftbfs:

configure: creating ./config.status
config.status: creating doc/Makefile
config.status: creating doc/xvidcap/Makefile
config.status: creating doc/xvidcap/C/Makefile
config.status: creating doc/xvidcap/de/Makefile
config.status: creating doc/xvidcap/it/Makefile
config.status: creating doc/xvidcap/es/Makefile
config.status: creating doc/man/Makefile
config.status: creating doc/man/C/Makefile
config.status: creating doc/man/de/Makefile
config.status: creating doc/man/it/Makefile
config.status: creating doc/man/es/Makefile
config.status: creating po/Makefile.in
config.status: creating src/Makefile
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands
config.status: error: po/Makefile.in.in was not created by intltoolize.
==> config.log <==
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.67. Invocation command line was

  $ ./configure --build=i686-linux-gnu --prefix=/usr --includedir=${prefix}/include --mandir=${prefix}/share/man --infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --libexecdir=${prefix}/lib/xvidcap --disable-maintainer-mode --disable-dependency-tracking --prefix=/usr --mandir=${prefix}/share/man --without-forced-embedded-ffmpeg LDFLAGS=-Wl,--as-needed LIBS=-lavdevice

Alessio Treglia (quadrispro) wrote :

On Thu, Sep 30, 2010 at 4:16 PM, Matthias Klose
<email address hidden> wrote:
> new ftbfs:
>
> configure: creating ./config.status
> config.status: creating doc/Makefile
> config.status: creating doc/xvidcap/Makefile
> config.status: creating doc/xvidcap/C/Makefile
> config.status: creating doc/xvidcap/de/Makefile
> config.status: creating doc/xvidcap/it/Makefile
> config.status: creating doc/xvidcap/es/Makefile
> config.status: creating doc/man/Makefile
> config.status: creating doc/man/C/Makefile
> config.status: creating doc/man/de/Makefile
> config.status: creating doc/man/it/Makefile
> config.status: creating doc/man/es/Makefile
> config.status: creating po/Makefile.in
> config.status: creating src/Makefile
> config.status: creating Makefile
> config.status: creating config.h
> config.status: executing depfiles commands
> config.status: executing default-1 commands
> config.status: executing po/stamp-it commands
> config.status: error: po/Makefile.in.in was not created by intltoolize.
> ==> config.log <==
> This file contains any messages produced by compilers while
> running configure, to aid debugging if configure makes a mistake.
>
> It was created by configure, which was
> generated by GNU Autoconf 2.67.  Invocation command line was
>
>  $ ./configure --build=i686-linux-gnu --prefix=/usr
> --includedir=${prefix}/include --mandir=${prefix}/share/man
> --infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var
> --libexecdir=${prefix}/lib/xvidcap --disable-maintainer-mode --disable-
> dependency-tracking --prefix=/usr --mandir=${prefix}/share/man
> --without-forced-embedded-ffmpeg LDFLAGS=-Wl,--as-needed LIBS=-lavdevice

Sounds strange, I was able to build it fine in a maverick chroot:
http://debomatic64.debian.net/maverick/pool/xvidcap_1.1.7-0.2ubuntu10/xvidcap_1.1.7-0.2ubuntu10.buildlog

Anyway, I'm on it.

--
Alessio Treglia <email address hidden>
Debian & Ubuntu Developer | Homepage: http://www.alessiotreglia.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0

Matthias Klose (doko) wrote :

uploaded 0.2ubuntu10 without the audio patch

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xvidcap - 1.1.7-0.2ubuntu10

---------------
xvidcap (1.1.7-0.2ubuntu10) maverick; urgency=low

  * debian/patches/06_outdated_ffmpeg.patch:
    - Update xtoffmpeg.c to comply with the latest FFmpeg API,
      fixes FTBFS (LP: #646824).
 -- Alessio Treglia <email address hidden> Thu, 30 Sep 2010 12:38:48 +0200

Changed in xvidcap (Ubuntu Maverick):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers